{
  "custom": {},
  "params": {
    "PLCTagPath": "value"
  },
  "propConfig": {
    "params.PLCTagPath": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 100,
      "width": 1920
    }
  },
  "root": {
    "children": [
      {
        "custom": {
          "AlarmsToShelve": "{}",
          "delay": 2000,
          "device": "value",
          "run_export": false,
          "run_update": false,
          "severity_filters": [
            "off",
            "off",
            "off",
            "off",
            "off"
          ]
        },
        "events": {
          "component": {
            "onRowDoubleClick": {
              "config": {
                "script": "\trow \u003d event.value\n\tmhe_id \u003d row.get(\"SourceId\")\n\tnavigation.amzl_navigation.navigate_to_alarm(self, mhe_id)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Active_Table"
        },
        "position": {
          "grow": 1
        },
        "propConfig": {
          "custom.AlarmsToShelve": {
            "onChange": {
              "enabled": null,
              "script": "\n\tpayload \u003d self.custom.AlarmsToShelve\n\tsystem.perspective.sendMessage(\"alarms-to-shelve\", payload \u003dpayload , scope \u003d \"session\")  "
            }
          },
          "custom.run_export": {
            "onChange": {
              "enabled": null,
              "script": "\trun_export \u003d self.custom.run_export\n\tif run_export:\n\t\tdata \u003d self.props.data\n\t\trow_data \u003d []\n\t\tfor i,j in enumerate(data):\n\t\t\tvalue \u003d j[\"value\"]\n\t\t\tif i \u003d\u003d 0:\n\t\t\t\theader \u003d [item for item in value] \t\n\t\t\trow \u003d [value[item][\"value\"] for item in value]\n\t\t\trow_data.append(row) \n\t\t\n\t\talarms_data \u003d system.dataset.toDataSet(header,row_data)\n\t\thtml_data \u003d system.dataset.dataSetToHTML(1, alarms_data, \"RealTimeAlarms\")\n\t\tsystem.perspective.download(\"myExport.html\",html_data)\n\t\tself.custom.run_export \u003d False"
            }
          },
          "custom.severity_filters": {
            "onChange": {
              "enabled": null,
              "script": "\tpayload \u003d {}\n\tseverity_filters \u003d self.custom.severity_filters\n\tpayload[\"severity_filters\"] \u003d severity_filters\n\tsystem.perspective.sendMessage(\"button-severity\", payload \u003d payload, scope \u003d \"page\")"
            }
          },
          "custom.update": {
            "binding": {
              "config": {
                "expression": "now({this.custom.delay})"
              },
              "type": "expr"
            },
            "onChange": {
              "enabled": false,
              "script": "\t\n\t\n\tempty_row \u003d row_builder.build_row(DisplayPath \u003d \"\",\n\tDuration \u003d \"\", Severity \u003d \"\",\n\tTimestamp \u003d \"\", AlarmId \u003d \"\",\n\tSource \u003d \"\", StyleClass \u003d {\"classes\":\"Alarms-Styles/Diagnostic\"})\n\tno_filter \u003d False\n\tseverity_filters \u003d self.custom.severity_filters\n\talarm_states \u003d alarms.alarm_filters.docked_alarm_table()\n\t\n\tif severity_filters[0] \u003d\u003d \"off\" and severity_filters[1] \u003d\u003d \"off\" and severity_filters[2] \u003d\u003d \"off\" and severity_filters[3] \u003d\u003d \"off\" and severity_filters[4] \u003d\u003d \"off\":\n\t\tno_filter \u003d True\n\t\n\tif self.custom.run_update and system.tag.exists(\"System/aws_data\"):\n\t\t\n\t\t\n\t\ttags_to_read \u003d system.tag.readBlocking([\"System/aws_data\",\"Configuration/DetailedViews\"])\n\t\tdecode_alarm_data \u003d system.util.jsonDecode(tags_to_read[0].value)\n\t\tdetailed_view_decoded \u003d system.util.jsonDecode(tags_to_read[1].value)\n\t\tdevice_list \u003d detailed_view_decoded.get(self.custom.device,[])\n\t\tif len(decode_alarm_data) \u003e 0:\n\t\t\talt_colour \u003d self.session.custom.colours.colour_impaired\n\t\t\talarms_data \u003d alarms.alarm_tables.get_alarm_table(decode_alarm_data, severity_filters, no_filter, device_list, alarm_states, alt_colour)\t\t\n\t\t\t\n\t\t\tif len(alarms_data)\u003e0:\n\t\t\t\tself.props.data \u003d alarms_data\n\t\t\t\n\t\t\telse:\n\t\t\t\tself.props.data \u003d [empty_row]\n\t\telse:\n\t\t\tself.props.data \u003d [empty_row]\n\t\t\t\t\n\t\t\t"
            }
          },
          "props.selection.data": {
            "onChange": {
              "enabled": null,
              "script": "\tpayload \u003d self.props.selection.data\n\tsystem.perspective.sendMessage(\"alarms-to-shelve\", payload \u003d payload, scope \u003d \"view\")"
            }
          }
        },
        "props": {
          "cells": {
            "allowEditOn": "single-click"
          },
          "columns": [
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY",
              "editable": false,
              "field": "SourceId",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "justify": "auto",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY",
              "editable": false,
              "field": "Message",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "justify": "auto",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY HH:mm:ss",
              "editable": false,
              "field": "Timestamp",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "justify": "auto",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY",
              "editable": false,
              "field": "Duration",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "justify": "auto",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY",
              "editable": false,
              "field": "VendorId",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "justify": "auto",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": true,
              "width": ""
            },
            {
              "align": "center",
              "boolean": "checkbox",
              "dateFormat": "MM/DD/YYYY",
              "editable": false,
              "field": "AlarmId",
              "footer": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "header": {
                "align": "center",
                "justify": "left",
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "justify": "auto",
              "number": "value",
              "numberFormat": "0,0.##",
              "progressBar": {
                "bar": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "max": 100,
                "min": 0,
                "track": {
                  "color": "",
                  "style": {
                    "classes": ""
                  }
                },
                "value": {
                  "enabled": true,
                  "format": "0,0.##",
                  "justify": "center",
                  "style": {
                    "classes": ""
                  }
                }
              },
              "render": "auto",
              "resizable": true,
              "sort": "none",
              "sortable": true,
              "strictWidth": false,
              "style": {
                "classes": ""
              },
              "toggleSwitch": {
                "color": {
                  "selected": "",
                  "unselected": ""
                }
              },
              "viewParams": {},
              "viewPath": "",
              "visible": false,
              "width": ""
            }
          ],
          "data": [
            {
              "style": {
                "classes": "Alarms-Styles/High"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:18s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Estop activated"
                },
                "Priority": {
                  "value": "4. High"
                },
                "SourceId": {
                  "value": "PLC03 / 30 / S0102"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233996773
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/High"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:18s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Estop activated"
                },
                "Priority": {
                  "value": "4. High"
                },
                "SourceId": {
                  "value": "PLC03 / 10 / S0101"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233996773
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/High"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:18s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Estop activated"
                },
                "Priority": {
                  "value": "4. High"
                },
                "SourceId": {
                  "value": "PLC03 / S01 / K0041"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233996973
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/High"
              },
              "value": {
                "Duration": {
                  "value": "98h:40m:48s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Fuse tripped"
                },
                "Priority": {
                  "value": "4. High"
                },
                "SourceId": {
                  "value": "PLC03 / S01 / F0262"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674231386681
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Medium"
              },
              "value": {
                "Duration": {
                  "value": "113h:4m:53s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Too many MultiReads in interval at verification scan"
                },
                "Priority": {
                  "value": "3. Medium"
                },
                "SourceId": {
                  "value": "PLC03 / General"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674179541965
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Medium"
              },
              "value": {
                "Duration": {
                  "value": "10h:36m:12s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Too many NoReads in interval at verification scan"
                },
                "Priority": {
                  "value": "3. Medium"
                },
                "SourceId": {
                  "value": "PLC02 / General"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674548462720
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Medium"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:18s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Error"
                },
                "Priority": {
                  "value": "3. Medium"
                },
                "SourceId": {
                  "value": "PLC03 / ZM1"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233996463
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Medium"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:18s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Error"
                },
                "Priority": {
                  "value": "3. Medium"
                },
                "SourceId": {
                  "value": "PLC03 / ZM2"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233996404
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "9h:1m:9s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Sleep mode activated"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC09 / L3"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674554165092
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "98h:39m:12s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Medium speed mode activation"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC09 / MHE"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674231482352
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "9h:3m:47s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Reset buton"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC01 / P1 / S0033"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674554007223
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 60 / M0011"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997159
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 60 / M0012"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997159
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "8h:33m:21s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Stop button"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC02 / P1 / S0032"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674555833991
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 50 / M0041"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997130
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 50 / M0042"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997130
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "9h:1m:9s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Sleep mode activated"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC09 / I3_2"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674554165092
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "198h:55m:56s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Stop button"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / P2 / S0012"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1673870478869
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "9h:35m:12s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Sleep mode activated"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC09 / L2"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674552122041
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "9h:3m:49s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Stop button"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC01 / P1 / S0032"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674554005464
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "11h:29m:21s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Received telegram is invalid"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC01 / General"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674545273550
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 60 / M0022"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997191
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 60 / M0021"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997191
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "10h:0m:42s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Sleep mode activated"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC09 / I3_1"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674550592036
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "98h:31m:6s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Reset buton"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / P1 / S0033"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674231968042
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "9h:35m:12s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Sleep mode activated"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC09 / L1"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674552122041
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 50 / M0032"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997135
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "97h:57m:17s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Undervoltage"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / 50 / M0031"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674233997135
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "212h:36m:18s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Stop button"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC01 / P2 / S0012"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1673821256850
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "8h:33m:13s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Reset buton"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC02 / P1 / S0033"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674555841111
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "9h:1m:9s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Sleep mode activated"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC09 / L4"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674554165092
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "225h:32m:20s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Stop button"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC02 / P2 / S0012"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1673774694508
                  }
                }
              }
            },
            {
              "style": {
                "classes": "Alarms-Styles/Diagnostic"
              },
              "value": {
                "Duration": {
                  "value": "98h:31m:5s"
                },
                "Expiration": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 0
                  }
                },
                "Message": {
                  "value": "Stop button"
                },
                "Priority": {
                  "value": "1. Diagnostic"
                },
                "SourceId": {
                  "value": "PLC03 / P1 / S0032"
                },
                "State": {
                  "value": "Active"
                },
                "Timestamp": {
                  "value": {
                    "$": [
                      "ts",
                      192,
                      1674586633866
                    ],
                    "$ts": 1674231969209
                  }
                }
              }
            }
          ],
          "headerGroups": [
            [
              {
                "align": "center",
                "justify": "center",
                "span": 1,
                "style": {
                  "classes": ""
                },
                "title": "DisplayPath"
              }
            ]
          ],
          "headerStyle": {
            "classes": "Background-Styles/Controller"
          },
          "pager": {
            "bottom": false
          },
          "rows": {
            "highlight": {
              "color": "#FFFF09"
            }
          },
          "selection": {
            "data": [
              {
                "Duration": "97h:57m:18s",
                "Expiration": "Thu Jan 01 1970 01:00:00 GMT+0100 (Greenwich Mean Time)",
                "Message": "Estop activated",
                "Priority": "4. High",
                "SourceId": "PLC03 / 30 / S0102",
                "Timestamp": "Fri Jan 20 2023 16:59:56 GMT+0000 (Greenwich Mean Time)"
              }
            ],
            "mode": "multiple interval",
            "selectedColumn": "SourceId",
            "selectedRow": 0
          },
          "virtualized": false
        },
        "scripts": {
          "customMethods": [],
          "extensionFunctions": null,
          "messageHandlers": [
            {
              "messageType": "severity-filters",
              "pageScope": true,
              "script": "\tcritical \u003d payload.get(\"critical\")\n\tif critical \u003d\u003d \"true\":\n\t\tself.custom.severity_filters[4] \u003d 4\n\tif critical \u003d\u003d \"false\":\n\t\tself.custom.severity_filters[4] \u003d \"off\"\n\t\n\thigh \u003d payload.get(\"high\")\n\tif high \u003d\u003d \"true\":\n\t\tself.custom.severity_filters[3] \u003d 3\n\tif high \u003d\u003d \"false\":\n\t\tself.custom.severity_filters[3] \u003d \"off\"\n\t\n\tmedium \u003d payload.get(\"medium\")\n\tif medium \u003d\u003d \"true\":\n\t\tself.custom.severity_filters[2] \u003d 2\n\tif medium \u003d\u003d \"false\":\n\t\tself.custom.severity_filters[2] \u003d \"off\"\n\t\n\tlow \u003d payload.get(\"low\")\n\tif low \u003d\u003d \"true\":\n\t\tself.custom.severity_filters[1] \u003d 1\n\tif low \u003d\u003d \"false\":\n\t\tself.custom.severity_filters[1] \u003d \"off\"\n\t\n\tdiagnostic \u003d payload.get(\"diagnostic\")\n\tif diagnostic \u003d\u003d \"true\":\n\t\tself.custom.severity_filters[0] \u003d 0\n\tif diagnostic \u003d\u003d \"false\":\n\t\tself.custom.severity_filters[0] \u003d \"off\"",
              "sessionScope": false,
              "viewScope": false
            },
            {
              "messageType": "update-table",
              "pageScope": true,
              "script": "\t# implement your handler here\n\tupdate \u003d payload[\"update\"]\n\tself.custom.run_update \u003d update",
              "sessionScope": false,
              "viewScope": false
            },
            {
              "messageType": "run-export",
              "pageScope": true,
              "script": "\t# implement your handler here\n\texport \u003d payload[\"export\"]\n\tself.custom.run_export \u003d export",
              "sessionScope": false,
              "viewScope": false
            },
            {
              "messageType": "reset-filters",
              "pageScope": true,
              "script": "\tbackground \u003d \"false\"\n\tseverity \u003d payload[\"reset\"]\n\tseverity_filters \u003d self.custom.severity_filters\n\tseverity_filters[0] \u003d \"off\"\n\tseverity_filters[1] \u003d \"off\"\n\tseverity_filters[2] \u003d \"off\"\n\tseverity_filters[3] \u003d \"off\"\n\tseverity_filters[4] \u003d \"off\"",
              "sessionScope": false,
              "viewScope": false
            }
          ]
        },
        "type": "ia.display.table"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}